package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsLevelScrm;

/**
 * 设置用户等级Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsLevelScrmService 
{
    /**
     * 查询设置用户等级
     * 
     * @param id 设置用户等级ID
     * @return 设置用户等级
     */
    public FsLevelScrm selectFsLevelById(Long id);

    /**
     * 查询设置用户等级列表
     * 
     * @param fsLevel 设置用户等级
     * @return 设置用户等级集合
     */
    public List<FsLevelScrm> selectFsLevelList(FsLevelScrm fsLevel);

    /**
     * 新增设置用户等级
     * 
     * @param fsLevel 设置用户等级
     * @return 结果
     */
    public int insertFsLevel(FsLevelScrm fsLevel);

    /**
     * 修改设置用户等级
     * 
     * @param fsLevel 设置用户等级
     * @return 结果
     */
    public int updateFsLevel(FsLevelScrm fsLevel);

    /**
     * 批量删除设置用户等级
     * 
     * @param ids 需要删除的设置用户等级ID
     * @return 结果
     */
    public int deleteFsLevelByIds(Long[] ids);

    /**
     * 删除设置用户等级信息
     * 
     * @param id 设置用户等级ID
     * @return 结果
     */
    public int deleteFsLevelById(Long id);
}
